#!/bin/bash 
#
gmtset MEASURE_UNIT cm PS_MEDIA A3 PS_PAGE_ORIENTATION PORTRAIT
gmtset PS_SCALE_X .7 PS_SCALE_Y  .7 HEADER_FONT_SIZE 18p
gmtset MAP_FRAME_WIDTH 3p

# h from 15km slab model
fileIN='h_slab_15km.txt'
fileOUT='h_slab_15km.eps'

# h from magnetisation model determined from LCS-1 + crust10
fileIN='h_LS_crust10.txt'
fileOUT='h_LS_crust10.eps'

# h from crust10
fileIN='h_crust10.txt'
fileOUT='h_crust10.eps'


# interpolate crustal thickness from euql-area grid to regular grid in latitude / longitude
sphinterpolate $fileIN -Gtmp.grd -I0.25 -Rg 


cptfile='SEMM_nio_black.cpt'
INFILE='tmp.grd'
grdview tbase_one_quarter.grd -JM24 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -R-180/180/-70/70 -X1.5 -Y4.5 -V  > $fileOUT
pscoast -R-180/180/-70/70 -JM -Bf30a30/f10a10:."":wSEn -Di -A400 -W1 -O -K -X0 -Y0 >> $fileOUT
grdview tbase_one_quarter.grd -JG0/90/8.5 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -O -R-180/180/60/90 -X0 -Y14.3 -V  >> $fileOUT
pscoast -R-180/180/60/90 -JG -Bf30a30/f10a10:."":wSEn -Di -A400 -W.5 -K -O -X0 -Y0 >> $fileOUT
grdview tbase_one_quarter.grd -JG0/-90/8.5 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -O -R-180/180/-90/-60 -X15.5 -Y0 -V  >> $fileOUT
pscoast -R-180/180/-90/-60 -JG -Bf30a30/f10a10:."":wsEN -Di -A400 -W.5  -O -K -X0 -Y0 >> $fileOUT
psscale -C$cptfile  -Dx7c/-.3c+w9c/0.5c+e  -B+tcontinuous -By+l"[SI x km]" -G0/2.25 -I0.5 -O -K -X-12 -Y0 -V  >> $fileOUT
makecpt -C$cptfile -T-2.5/56.25 > tmp.cpt
psscale -Ctmp.cpt  -Dx7c/-.3c+w9c/0.5c+e  -Ba -By+l"[km]" -G0/56.25 -I0.5 -O  -X2.5 -Y0 -V  >> $fileOUT


psconvert -Tj -E150 -P -A $fileOUT
\rm $fileOUT

